#version 330 compatibility

uniform float uMix;
uniform samplerCube ReflectUnit;
uniform samplerCube RefractUnit;

in vec3  vReflectVector;
in vec3  vRefractVector;

const vec4 WHITE = vec4( 1.,1.,1.,1. );

void
main()
{
	vec4 refractcolor = textureCube( RefractUnit, vRefractVector );
	vec4 reflectcolor = textureCube( ReflectUnit, vReflectVector );
	refractcolor = mix( refractcolor, WHITE, 0.30 );
	gl_FragColor = mix( refractcolor, reflectcolor, uMix );
}
